#!/usr/bin/perl
#  reports.pl - code for various reports
#
#  Written by Curtis Olson.  Started November 12, 1994.
#
#  Copyright (C) 1994 - 1999  Curtis L. Olson  - curt@me.umn.edu
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# reports.pl,v 0.9 2001/01/17 20:26:02 genemagnier Exp


package CBB;

use strict;    # don't take no guff

# process arguments
sub process_rep_args {
    # max valid range
    my($fromdate, $todate) = (0, 99999999);
    my($arg, $nicefrom, $niceto, $month, $day, $year, $cur_year, $date_fmt);
    my($i, @account_list);

    $i = 0;
    $CBB::path = "";

    while ( $#ARGV >= 0 ) {
        $arg = shift(@ARGV);
        if ( substr($arg, 0 , 1) eq "-" ) {
	    if ( $arg eq "-from" ) {
                $fromdate = shift(@ARGV);
            } 
	    if ( $arg eq "-to" ) {
                $todate = shift(@ARGV);
            } 
        } else {
	    if ($CBB::path eq "") {
		$CBB::path = $arg;
	    } else {
		$account_list[$i++] = $arg;
	    }
        }
    }

    return($fromdate, $todate, @account_list);
}


1;
